# Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar Class Reference

A scroll bar control. More...

Inherits Microsoft::Samples::DirectX::UtilityToolkit::Control, Microsoft::Samples::DirectX::UtilityToolkit::Control, and Microsoft::Samples::DirectX::UtilityToolkit::Control.

Collaboration diagram for Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar:

[legend]

List of all members.

## Public Member Functions
| ScrollBar (Dialog parent)
| Creates a new instance of the scroll bar class.
void | Scroll (int delta)
| Scrolls by delta items. A positive value scrolls down, while a negative scrolls down.
void | ShowItem (int index)
| Shows an item.
void | SetTrackRange (int startRange, int endRange)
| Sets the track range.
override void | Render (Device device, float elapsedTime)
| Render the scroll bar control.
override bool | HandleMouse (NativeMethods.WindowMessage msg, System.Drawing.Point pt, IntPtr wParam, IntPtr lParam)
| Stores data for a combo box item.
| ScrollBar (Dialog parent)
| Creates a new instance of the scroll bar class.
void | Scroll (int delta)
| Scrolls by delta items. A positive value scrolls down, while a negative scrolls down.
void | ShowItem (int index)
| Shows an item.
void | SetTrackRange (int startRange, int endRange)
| Sets the track range.
override void | Render (Device device, float elapsedTime)
| Render the scroll bar control.
override bool | HandleMouse (NativeMethods.WindowMessage msg, System.Drawing.Point pt, IntPtr wParam, IntPtr lParam)
| Stores data for a combo box item.
| ScrollBar (Dialog parent)
| Creates a new instance of the scroll bar class.
void | Scroll (int delta)
| Scrolls by delta items. A positive value scrolls down, while a negative scrolls down.
void | ShowItem (int index)
| Shows an item.
void | SetTrackRange (int startRange, int endRange)
| Sets the track range.
override void | Render (Device device, float elapsedTime)
| Render the scroll bar control.
override bool | HandleMouse (NativeMethods.WindowMessage msg, System.Drawing.Point pt, IntPtr wParam, IntPtr lParam)
| Stores data for a combo box item.
## Public Attributes
const int | TrackLayer = 0
const int | UpButtonLayer = 1
const int | DownButtonLayer = 2
const int | ThumbLayer = 3
## Protected Member Functions
override void | UpdateRectangles ()
| Update all of the rectangles.
void | Cap ()
| Clips position at boundaries.
void | UpdateThumbRectangle ()
| Compute the dimension of the scroll thumb.
override void | UpdateRectangles ()
| Update all of the rectangles.
void | Cap ()
| Clips position at boundaries.
void | UpdateThumbRectangle ()
| Compute the dimension of the scroll thumb.
override void | UpdateRectangles ()
| Update all of the rectangles.
void | Cap ()
| Clips position at boundaries.
void | UpdateThumbRectangle ()
| Compute the dimension of the scroll thumb.
## Protected Attributes
const int | MinimumThumbSize = 8
bool | showingThumb
System.Drawing.Rectangle | upButtonRect
System.Drawing.Rectangle | downButtonRect
System.Drawing.Rectangle | trackRect
System.Drawing.Rectangle | thumbRect
int | position
int | pageSize
int | start
int | end
## Properties
int | TrackPosition`[get, set]`
| Position of the track.
int | PageSize`[get, set]`
| Size of a 'page'.

## Detailed Description

A scroll bar control.

Definition at line 2540 of file dxmutgui.cs.

## Constructor & Destructor Documentation

Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.ScrollBar | ( | Dialog | parent | ) |

Creates a new instance of the scroll bar class.

Definition at line 2564 of file dxmutgui.cs.

Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.ScrollBar | ( | Dialog | parent | ) |

Creates a new instance of the scroll bar class.

Definition at line 2564 of file dxmutgui.cs.

Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.ScrollBar | ( | Dialog | parent | ) |

Creates a new instance of the scroll bar class.

Definition at line 2568 of file wdxmutgui.cs.

## Member Function Documentation

void Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.Cap | ( |  | ) | `[protected]`

Clips position at boundaries.

Definition at line 2629 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.Cap | ( |  | ) | `[protected]`

Clips position at boundaries.

Definition at line 2624 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.Cap | ( |  | ) | `[protected]`

Clips position at boundaries.

Definition at line 2624 of file dxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.HandleMouse | ( | NativeMethods.WindowMessage | msg,
|  | System.Drawing.Point | pt,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Stores data for a combo box item.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 2737 of file wdxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.HandleMouse | ( | NativeMethods.WindowMessage | msg,
|  | System.Drawing.Point | pt,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Stores data for a combo box item.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 2732 of file dxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.HandleMouse | ( | NativeMethods.WindowMessage | msg,
|  | System.Drawing.Point | pt,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Stores data for a combo box item.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 2732 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.Render | ( | Device | device,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Render the scroll bar control.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 2699 of file wdxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.Render | ( | Device | device,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Render the scroll bar control.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 2694 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.Render | ( | Device | device,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Render the scroll bar control.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 2694 of file dxmutgui.cs.

Here is the call graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.Scroll | ( | int | delta | ) |

Scrolls by delta items. A positive value scrolls down, while a negative scrolls down.

Definition at line 2660 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.Scroll | ( | int | delta | ) |

Scrolls by delta items. A positive value scrolls down, while a negative scrolls down.

Definition at line 2655 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.Scroll | ( | int | delta | ) |

Scrolls by delta items. A positive value scrolls down, while a negative scrolls down.

Definition at line 2655 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.SetTrackRange | ( | int | startRange,
|  | int | endRange |
| ) |  |  |

Sets the track range.

Definition at line 2691 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.SetTrackRange | ( | int | startRange,
|  | int | endRange |
| ) |  |  |

Sets the track range.

Definition at line 2686 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.SetTrackRange | ( | int | startRange,
|  | int | endRange |
| ) |  |  |

Sets the track range.

Definition at line 2686 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.ShowItem | ( | int | index | ) |

Shows an item.

Definition at line 2671 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.ShowItem | ( | int | index | ) |

Shows an item.

Definition at line 2666 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.ShowItem | ( | int | index | ) |

Shows an item.

Definition at line 2666 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.UpdateRectangles | ( |  | ) | `[protected, virtual]`

Update all of the rectangles.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 2591 of file wdxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.UpdateRectangles | ( |  | ) | `[protected, virtual]`

Update all of the rectangles.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 2586 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.UpdateRectangles | ( |  | ) | `[protected, virtual]`

Update all of the rectangles.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 2586 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.UpdateThumbRectangle | ( |  | ) | `[protected]`

Compute the dimension of the scroll thumb.

Definition at line 2640 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.UpdateThumbRectangle | ( |  | ) | `[protected]`

Compute the dimension of the scroll thumb.

Definition at line 2635 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar.UpdateThumbRectangle | ( |  | ) | `[protected]`

Compute the dimension of the scroll thumb.

Definition at line 2635 of file dxmutgui.cs.

## Member Data Documentation

const int Microsoft::Samples::DirectX::UtilityToolkit.ScrollBar::DownButtonLayer = 2

Definition at line 2544 of file dxmutgui.cs.

System Drawing Rectangle Microsoft::Samples::DirectX::UtilityToolkit.ScrollBar::downButtonRect`[protected]`

Definition at line 2550 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.ScrollBar::end`[protected]`

Definition at line 2556 of file dxmutgui.cs.

const int Microsoft::Samples::DirectX::UtilityToolkit.ScrollBar::MinimumThumbSize = 8`[protected]`

Definition at line 2546 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.ScrollBar::pageSize`[protected]`

Definition at line 2554 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.ScrollBar::position`[protected]`

Definition at line 2553 of file dxmutgui.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.ScrollBar::showingThumb`[protected]`

Definition at line 2548 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.ScrollBar::start`[protected]`

Definition at line 2555 of file dxmutgui.cs.

const int Microsoft::Samples::DirectX::UtilityToolkit.ScrollBar::ThumbLayer = 3

Definition at line 2545 of file dxmutgui.cs.

System Drawing Rectangle Microsoft::Samples::DirectX::UtilityToolkit.ScrollBar::thumbRect`[protected]`

Definition at line 2552 of file dxmutgui.cs.

const int Microsoft::Samples::DirectX::UtilityToolkit.ScrollBar::TrackLayer = 0

Definition at line 2542 of file dxmutgui.cs.

System Drawing Rectangle Microsoft::Samples::DirectX::UtilityToolkit.ScrollBar::trackRect`[protected]`

Definition at line 2551 of file dxmutgui.cs.

const int Microsoft::Samples::DirectX::UtilityToolkit.ScrollBar::UpButtonLayer = 1

Definition at line 2543 of file dxmutgui.cs.

System Drawing Rectangle Microsoft::Samples::DirectX::UtilityToolkit.ScrollBar::upButtonRect`[protected]`

Definition at line 2549 of file dxmutgui.cs.

## Property Documentation

int Microsoft::Samples::DirectX::UtilityToolkit.ScrollBar::PageSize`[get, set]`

Size of a 'page'.

Definition at line 2618 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.ScrollBar::TrackPosition`[get, set]`

Position of the track.

Definition at line 2610 of file dxmutgui.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutgui.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutgui.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutgui.cs